Package org.apache.ignite.internal.processors.query.schema.management

## Interface IndexDescriptorFactory

All Known Implementing Classes:
  `AbstractIndexDescriptorFactory`, `SortedIndexDescriptorFactory`

    public interface IndexDescriptorFactory

Factory interface, to create index descriptors.

### Method Summary

All Methods Instance Methods Abstract Methods
`IndexDescriptor` `create​(GridKernalContext ctx, GridQueryIndexDescriptor idxDesc, TableDescriptor tbl, @Nullable SchemaIndexCacheVisitor cacheVisitor)`

### Method Detail

#### create

    IndexDescriptor create​(GridKernalContext ctx,
                           GridQueryIndexDescriptor idxDesc,
                           TableDescriptor tbl,
                           @Nullable
                           @Nullable SchemaIndexCacheVisitor cacheVisitor)